Subject: 1996 CT Turf&Landscape Conference

From: [email-masked] (Scagrider)
Date: 25 Jan 1996 08:17:55 -0500

I am involved with the Connecticut Grounds Keepers Association, and would
like to advertise our annual educational conference and trade show.  I
can't seem to find a landscape contractor forum, but have been reading
this LA newsgroup for sometime now (if anyone knows of a better location
for a posting like this please let me know).  The conference will be held
on Thursday February 8, 1996 at the Aerocenter, in East Hartford, CT.  I
expect to host several vendors of turf and landscape maintenance
equipment, landscape design software, business software, etc.  In addition
to the vendors (150 or so booths) we will hold educational seminars, and
will offer recertification credits for pesticide applicators. If you are
interested in receiving more information, please send e-mail to me
([email-masked]) or call me (Phil) in CT (203) 387-7445, or call our
office in CT (203) 699-9912.  Vendors are also invited, some booth space
is still available in this new facility.